Get available dates for multiple sports
curl --request GET \
--url https://therundown.io/api/v2/sports/dates \
--header 'X-TheRundown-Key: <api-key>'import requests
url = "https://therundown.io/api/v2/sports/dates"
headers = {"X-TheRundown-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-TheRundown-Key': '<api-key>'}};
fetch('https://therundown.io/api/v2/sports/dates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"2": {
"dates": []
},
"3": {
"dates": []
},
"4": {
"dates": [
"2026-02-13T00:30:00+0000"
]
},
"6": {
"dates": [
"2026-02-13T00:00:00+0000"
]
}
}V2 Sports
Get available dates for multiple sports
Returns dates with events for the specified sport IDs.
GET
/
api
/
v2
/
sports
/
dates
Get available dates for multiple sports
Authorizations
Recommended API key request header for new integrations
Query Parameters
Comma-separated sport IDs
UTC offset in minutes for the date boundary. Use 300 for US Central, 240 for Eastern, 360 for Mountain, 420 for Pacific. Without this, the API day boundary is midnight UTC.
Example:
300
Date format — iso8601 returns date strings, epoch returns Unix timestamps
Available options:
iso8601, epoch Response
200 - application/json
Dates keyed by sport ID
Show child attributes
Show child attributes